Manually assign entities to a watchlist

Base URL
https://{kibana_url}
Auth

Assigns the provided entities to the specified watchlist using a "manual" source label. The entities must already exist in the entity store.

If an entity is already on the watchlist, no new document is created — the "manual" label is added to its existing source labels instead.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

watchlist_id string required

The ID of the watchlist to add entities to

Example: high-risk-vendors

Request body

euids string[] required

The EUIDs of the entities to assign

Response

Assignment successful

application/json
failed integer required

Number of entities that failed to process

items object[] required
error string

Error message if the entity failed to process

euid string required

The EUID of the entity

status enum required
Values: success failure not_found
not_found integer required

Number of entities not found in the entity store

successful integer required

Number of entities successfully assigned

total integer required

Total number of entities processed

Base URL
https://{kibana_url}